import { HttpException, HttpStatus } from '@nestjs/common';
import { CreateUserDto } from './dto/create-user.dto';
import { UsersService } from './users.service';
import { User } from './user.entity';
import { UpdateUserDto } from './dto/update-user.dto';
export declare class UsersController {
    private usersService;
    pathImage: string;
    constructor(usersService: UsersService);
    uploadLogoHeader(file: Express.Multer.File): Express.Multer.File;
    createUser(newUser: CreateUserDto): Promise<{
        data: {
            created_at: string;
            updated_at: string;
            perfil: any;
            id: number;
            correo: string;
            password: string;
            nombre?: string;
            apellido?: string;
            token?: string;
            imagen?: string;
            telefono?: string;
            updated_at_token: Date;
            deleted_at?: Date;
            perfil_id: number;
            inmuebles: import("../inmueble/inmueble.entity").Inmueble[];
            favoritos: import("../favoritos/favoritos.entity").Favoritos[];
            busquedas: import("../busquedas/busquedas.entity").Busquedas[];
        };
        status: HttpStatus;
        message: string;
    }>;
    createUserImage(file: Express.Multer.File, newUser: CreateUserDto): Promise<any>;
    getUser(page: number, limit: number): Promise<{
        statusCode: HttpException | {
            data: {
                id: number;
                nombre: string;
                apellido: string;
                imagen: string;
                telefono: string;
                correo: string;
                created_at: string;
                updated_at: string;
                perfil: {
                    id: number;
                    nombre: string;
                    created_at: string;
                    updated_at: string;
                };
            }[];
            meta: {
                total: number;
                page: number;
                limit: number;
                totalPages: number;
            };
        };
        message: string;
        data: HttpException | {
            data: {
                id: number;
                nombre: string;
                apellido: string;
                imagen: string;
                telefono: string;
                correo: string;
                created_at: string;
                updated_at: string;
                perfil: {
                    id: number;
                    nombre: string;
                    created_at: string;
                    updated_at: string;
                };
            }[];
            meta: {
                total: number;
                page: number;
                limit: number;
                totalPages: number;
            };
        };
    }>;
    getValidaUserActive(id: number, token: string, horasValidas: number): Promise<HttpException | {
        userFound: User;
        status: HttpStatus;
        horasTranscurridas: number;
        horasValidas: number;
        message: string;
    }>;
    getUserById(id: number): Promise<HttpException | {
        id: number;
        nombre: string;
        apellido: string;
        imagen: string;
        telefono: string;
        correo: string;
        perfil_id: number;
        created_at: string;
        updated_at: string;
        perfil: {
            id: number;
            nombre: string;
            created_at: string;
            updated_at: string;
        };
        favoritos: {
            created_at: string;
            updated_at: string;
            inmueble: {
                created_at: string;
                updated_at: string;
                id: number;
                bathroom: number;
                dormitorios: number;
                cocheras: number;
                ambientes: number;
                mascotas: string;
                cuarto_servicio: string;
                balcon: string;
                terraza: string;
                ascensor: string;
                condominio: string;
                deposito: string;
                proyecto: string;
                areas_sociales: string;
                area: number;
                area_techada: number;
                precio: string;
                precio_mantenimiento: string;
                piso: number;
                descripcion: string;
                direccion: string;
                latitud: string;
                longitud: string;
                zoom: string;
                antiguedad: number;
                estreno: string;
                titulo: string;
                tipo_vivienda_id: number;
                tipo_operacion_id: number;
                tipo_inmueble_id: number;
                nivel_amoblado_id: number;
                distrito_id: number;
                user_id: number;
                tipo_ubicacion_id: number;
                estado_inmueble_id: number;
                deleted_at: Date;
                tipo_moneda_id: number;
                estado_id: number;
                tipoMoneda: import("../tipo-moneda/tipo-moneda.entity").TipoMoneda;
                tipoVivienda: import("../tipo-vivienda/tipo-vivienda.entity").TipoVivienda;
                tipoOperacion: import("../tipo-operacion/tipo-operacion.entity").TipoOperacion;
                estado: import("../estado/estado.entity").Estado;
                estadoInmueble: import("../estado-inmueble/estado-inmueble.entity").EstadoInmueble;
                tipoInmueble: import("../tipo-inmueble/tipo-inmueble.entity").TipoInmueble;
                nivelAmoblado: import("../nivel-amoblado/nivel-amoblado.entity").NivelAmoblado;
                distrito: import("../distrito/distrito.entity").Distrito;
                user: User;
                tipoUbicacion: import("../tipo-ubicacion/tipo-ubicacion.entity").TipoUbicacion;
                favoritos: import("../favoritos/favoritos.entity").Favoritos[];
                inmuebleAreasSociales: import("../inmueble-areas-sociales/inmueble-areas-sociales.entity").InmuebleAreasSociales[];
                galeria: import("../galeria/galeria.entity").Galeria[];
                inmuebleEstados: import("../inmueble-estados/inmueble-estados.entity").InmuebleEstados[];
                inmuebleVistas: import("../inmueble-vistas/inmueble-vistas.entity").InmuebleVistas[];
            };
            id: number;
            deleted_at: Date;
            inmueble_id: number;
            user_id: number;
            user: User;
        }[];
    }>;
    getUserSearch(page: number, limit: number, body: Record<string, any>): Promise<{
        message: string;
        data: HttpException | {
            data: Record<string, any>;
            meta: {
                total: number;
                page: number;
                limit: number;
                totalPages: number;
            };
        };
    }>;
    updateUserImage(id: number, file: Express.Multer.File, user: UpdateUserDto): Promise<HttpException | {
        data: {
            created_at: string;
            updated_at: string;
            perfil: {
                created_at: string;
                updated_at: string;
                id: number;
                nombre: string;
                deleted_at: Date;
                user: User[];
            };
            id: number;
            correo: string;
            password: string;
            nombre?: string;
            apellido?: string;
            token?: string;
            imagen?: string;
            telefono?: string;
            updated_at_token: Date;
            deleted_at?: Date;
            perfil_id: number;
            inmuebles: import("../inmueble/inmueble.entity").Inmueble[];
            favoritos: import("../favoritos/favoritos.entity").Favoritos[];
            busquedas: import("../busquedas/busquedas.entity").Busquedas[];
            password_confirm?: string;
        };
        status: HttpStatus;
        message: string;
    }>;
    updatePass(id: number, user: UpdateUserDto): Promise<HttpException | {
        data: {
            created_at: string;
            updated_at: string;
            id: number;
            correo: string;
            password: string;
            nombre?: string;
            apellido?: string;
            token?: string;
            imagen?: string;
            telefono?: string;
            updated_at_token: Date;
            deleted_at?: Date;
            perfil_id: number;
            perfil: import("../perfil/perfil.entity").Perfil;
            inmuebles: import("../inmueble/inmueble.entity").Inmueble[];
            favoritos: import("../favoritos/favoritos.entity").Favoritos[];
            busquedas: import("../busquedas/busquedas.entity").Busquedas[];
            password_confirm?: string;
        };
        status: HttpStatus;
        message: string;
    }>;
    deleteUser(id: number): Promise<HttpException | import("typeorm").UpdateResult>;
    loginUser(correo: string, password: string): Promise<HttpException | {
        userFound: Record<string, any>;
        status: HttpStatus;
        message: string;
    }>;
}
